- 2023-01-25
  - Defined scope.
- 2023-01-26
  - Published internal release announcement.
  - Created release notes draft.
- 2023-02-02
  - Received notification that testing has finished.
- 2023-02-06
  - Created build files.
  - Verified that building Firefox extension from source archive yields same XPI file.
  - Created MR for downloads repo.
  - Published to CWS.
  - Published to AMO.
  - Published to Microsoft store.
  - Updated extension source code URL and build instructions in Opera store.
  - Published to Opera store.
  - Noticed that release is live on CWS.
  - Noticed that release is live on Opera store.
- 2023-02-07
  - Noticed that release is live on Microsoft store.
- 2023-02-10
  - Noticed that release is live on AMO.
